> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Subscription Info

> Gets extended information about the user's subscription



## OpenAPI

````yaml /api-reference/openapi.json get /v1/user/subscription
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/user/subscription:
    get:
      summary: Get User Subscription Info
      description: Gets extended information about the user's subscription
      operationId: get_user_subscription_info
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedSubscriptionResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExtendedSubscriptionResponseModel:
      properties:
        tier:
          type: string
          title: Tier
          description: The tier of the workspace subscription.
        status:
          $ref: '#/components/schemas/SubscriptionStatusType'
          description: The status of the workspace subscription.
        credits_balance:
          type: integer
          title: Credits Balance
          description: The number of credits currently available to the workspace.
        credits_limit:
          type: integer
          title: Credits Limit
          description: The number of credits included in the current billing period.
        credits_used:
          type: integer
          title: Credits Used
          description: The number of credits used by the workspace.
        plan_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Name
          description: The display name of the workspace subscription plan.
        billing_period:
          anyOf:
            - $ref: '#/components/schemas/BillingPeriod'
            - type: 'null'
          description: The billing period of the workspace subscription.
        credit_refresh_period:
          anyOf:
            - $ref: '#/components/schemas/CreditRefreshPeriod'
            - type: 'null'
          description: The period on which included credits refresh.
        current_period_start_unix_secs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Period Start Unix Secs
          description: Unix timestamp for the start of the current billing period.
        current_period_end_unix_secs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Period End Unix Secs
          description: Unix timestamp for the end of the current billing period.
        next_billing_at_unix_secs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Billing At Unix Secs
          description: Unix timestamp for the next billing event.
        cancel_at_period_end:
          type: boolean
          title: Cancel At Period End
          description: Whether the subscription cancels at period end.
          default: false
        currency:
          anyOf:
            - $ref: '#/components/schemas/Currency'
            - type: 'null'
          description: The currency of the workspace subscription.
        trust_on_invoice_creation:
          type: boolean
          title: Trust On Invoice Creation
          description: >-
            Whether the workspace can use delayed payment methods when creating
            invoices.
          default: false
        current_overage:
          $ref: '#/components/schemas/Price'
          description: The current usage-based credit overage cost.
        max_credit_limit_extension:
          anyOf:
            - type: integer
            - type: string
              const: unlimited
          title: Max Credit Limit Extension
          description: >-
            Maximum number of credits that the credit limit can be exceeded by.
            "unlimited" means no cap, 0 means usage-based billing is disabled.
        can_extend_credit_limit:
          type: boolean
          title: Can Extend Credit Limit
          description: Whether the workspace is entitled to enter credit overages.
        next_credit_reset_unix:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Credit Reset Unix
          description: The Unix timestamp of the next included-credit reset.
        voice_slots_used:
          type: integer
          title: Voice Slots Used
          description: >-
            The number of instant voice-clone slots used in the current
            workspace.
        professional_voice_slots_used:
          type: integer
          title: Professional Voice Slots Used
          description: >-
            The number of professional voice-clone slots used across the
            consolidated billing group. For independently billed workspaces,
            this equals professional_voice_slots_used_in_workspace.
        professional_voice_slots_used_in_workspace:
          anyOf:
            - type: integer
            - type: 'null'
          title: Professional Voice Slots Used In Workspace
          description: >-
            The number of professional voice-clone slots used in the current
            workspace.
        voice_limit:
          type: integer
          title: Voice Limit
          description: The maximum number of instant voice-clone slots in the plan.
        professional_voice_limit:
          type: integer
          title: Professional Voice Limit
          description: The maximum number of professional voice-clone slots in the plan.
        can_use_instant_voice_cloning:
          type: boolean
          title: Can Use Instant Voice Cloning
          description: Whether the plan permits instant voice cloning.
        can_use_professional_voice_cloning:
          type: boolean
          title: Can Use Professional Voice Cloning
          description: Whether the plan permits professional voice cloning.
        next_invoice:
          anyOf:
            - $ref: '#/components/schemas/InvoiceResponseModel'
            - type: 'null'
          description: The next open invoice for the workspace.
        open_invoices:
          items:
            $ref: '#/components/schemas/InvoiceResponseModel'
          type: array
          title: Open Invoices
          description: The open invoices for the workspace.
        has_open_invoices:
          type: boolean
          title: Has Open Invoices
          description: Whether the workspace has open invoices.
        pending_change:
          anyOf:
            - $ref: '#/components/schemas/PendingSubscriptionSwitchResponseModel'
            - $ref: '#/components/schemas/PendingCancellationResponseModel'
            - type: 'null'
          title: Pending Change
          description: The pending subscription change for the workspace.
        has_used_starter_coupon_on_account:
          type: boolean
          title: Has Used Starter Coupon On Account
          description: >-
            True if this account has redeemed a starter first-period discount
            coupon.
          default: false
        has_used_creator_coupon_on_account:
          type: boolean
          title: Has Used Creator Coupon On Account
          description: >-
            True if this account has redeemed a creator first-period discount
            coupon.
          default: false
      type: object
      required:
        - tier
        - status
        - credits_balance
        - credits_limit
        - credits_used
        - current_overage
        - max_credit_limit_extension
        - can_extend_credit_limit
        - voice_slots_used
        - professional_voice_slots_used
        - voice_limit
        - professional_voice_limit
        - can_use_instant_voice_cloning
        - can_use_professional_voice_cloning
        - open_invoices
        - has_open_invoices
      title: ExtendedSubscriptionResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SubscriptionStatusType:
      type: string
      enum:
        - free
        - free_disabled
        - trialing
        - active
        - incomplete
        - past_due
        - on_hold
        - cancelled
        - expired
      title: SubscriptionStatusType
    BillingPeriod:
      type: string
      enum:
        - monthly_period
        - 3_month_period
        - 6_month_period
        - annual_period
      title: BillingPeriod
    CreditRefreshPeriod:
      type: string
      enum:
        - monthly_period
        - 3_month_period
        - 6_month_period
        - annual_period
      title: CreditRefreshPeriod
    Currency:
      type: string
      enum:
        - usd
        - eur
        - inr
        - pln
      title: Currency
    Price:
      properties:
        amount:
          type: string
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
      type: object
      required:
        - amount
        - currency
      title: Price
    InvoiceResponseModel:
      properties:
        amount_due_cents:
          type: integer
          title: Amount Due Cents
          description: The amount due in the smallest currency unit.
        subtotal_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Subtotal Cents
          description: >-
            The subtotal amount in the smallest currency unit before tax and
            discounts.
        tax_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tax Cents
          description: The tax amount in the smallest currency unit.
        discounts:
          items:
            $ref: '#/components/schemas/DiscountResponseModel'
          type: array
          title: Discounts
          description: The discounts applied to the invoice.
        next_payment_attempt_unix:
          type: integer
          title: Next Payment Attempt Unix
          description: >-
            The Unix timestamp of the next payment attempt. -1 when there is no
            next payment attempt.
        payment_intent_statusses:
          items:
            $ref: '#/components/schemas/PaymentIntentStatus'
          type: array
          title: Payment Intent Statusses
          description: >-
            The statuses of this invoice's payment intents. Empty list when
            there are no payment intents.
      type: object
      required:
        - amount_due_cents
        - discounts
        - next_payment_attempt_unix
        - payment_intent_statusses
      title: InvoiceResponseModel
    PendingSubscriptionSwitchResponseModel:
      properties:
        kind:
          type: string
          const: change
          title: Kind
          default: change
        next_tier:
          $ref: '#/components/schemas/SubscriptionTier'
          description: The tier to change to.
        next_billing_period:
          $ref: '#/components/schemas/BillingPeriod'
          description: The billing period to change to.
        timestamp_seconds:
          type: integer
          title: Timestamp Seconds
          description: The timestamp of the change.
      type: object
      required:
        - next_tier
        - next_billing_period
        - timestamp_seconds
      title: PendingSubscriptionSwitchResponseModel
    PendingCancellationResponseModel:
      properties:
        kind:
          type: string
          const: cancellation
          title: Kind
          default: cancellation
        timestamp_seconds:
          type: integer
          title: Timestamp Seconds
          description: The timestamp of the cancellation.
      type: object
      required:
        - timestamp_seconds
      title: PendingCancellationResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DiscountResponseModel:
      properties:
        discount_percent_off:
          anyOf:
            - type: number
            - type: 'null'
          title: Discount Percent Off
          description: The percentage discount applied to the invoice.
        discount_amount_off:
          anyOf:
            - type: number
            - type: 'null'
          title: Discount Amount Off
          description: >-
            The amount discount applied to the invoice in the smallest currency
            unit.
      type: object
      title: DiscountResponseModel
    PaymentIntentStatus:
      type: string
      enum:
        - canceled
        - processing
        - requires_action
        - requires_capture
        - requires_confirmation
        - requires_payment_method
        - succeeded
      title: PaymentIntentStatus
    SubscriptionTier:
      type: string
      enum:
        - free
        - starter
        - go
        - plus
        - pro
        - scale
        - business
        - grant
        - trial
        - enterprise
      title: SubscriptionTier

````